Bug 1300591 - [RFE] let the user customize the engine VM disk size also using the engine-appliance
[RFE] let the user customize the engine VM disk size also using the engine-ap...
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: RFEs (Show other bugs)
1.3.2.2
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.1.0-alpha
: 2.1.0
Assigned To: Simone Tiraboschi
Nikolai Sednev
: FutureFeature, Triaged
Depends On:
Blocks: 1427745
  Show dependency treegraph
 
Reported: 2016-01-21 04:11 EST by Simone Tiraboschi
Modified: 2017-02-28 22:56 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, the user can now customize the virtual machine disk size when using the engine-appliance.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-01 09:37:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
gklein: testing_plan_complete+
mgoldboi: planning_ack+
sbonazzo: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 63151 master MERGED image: ask image size also when using the appliance 2016-09-16 09:51 EDT

  None (edit)
Description Simone Tiraboschi 2016-01-21 04:11:27 EST
Description of problem:
Currently, if the user chooses to use the engine-appliance, hosted-engine-setup simply uses the disk size specified by the OVF.

Let the user customize (increase only) the disk size could be an interesting feature for many users.

To accomplish that we need also to install cloud-utils-growpart inside the engine appliance: cloud-utils-growpart, on the first boot, will automatically grow the partition and the FS to use the whole disk.

Version-Release number of selected component (if applicable):


How reproducible:
100% RFE

Steps to Reproduce:
1. deploy hosted-engine using the engine-appliance
2.
3.

Actual results:
we just use the value provided in the OVF

Expected results:
hosted-engine-setup let the user customize (increase only) the disk size; the engine appliance will come with cloud-utils-growpart to automatically grow the partition and the FS to use the whole disk.

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2016-08-29 06:47:48 EDT
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Sandro Bonazzola 2016-12-12 08:56:24 EST
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.
Comment 3 Nikolai Sednev 2016-12-12 12:07:46 EST
During HE deployment process, customer being asked to provide desired disk size for the engine:
Please specify the size of the VM disk in GB: [25]: 50
(I chose 50 just in case here).

Checked on these components on host:
ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch
ovirt-imageio-common-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
ovirt-setup-lib-1.1.0-0.0.master.20161107100014.gitb73abeb.el7.centos.noarch
ovirt-hosted-engine-setup-2.1.0-0.0.master.20161130101611.gitb3ad261.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.1-1.el7ev.noarch
qemu-kvm-rhev-2.6.0-28.el7_3.2.x86_64
ovirt-host-deploy-1.6.0-0.0.master.20161107121647.gitfd7ddcd.el7.centos.noarch
rhev-release-4.0.6-6-001.noarch
sanlock-3.4.0-1.el7.x86_64
mom-0.5.8-1.el7ev.noarch
ovirt-imageio-daemon-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
vdsm-4.18.999-1020.git1ff41b1.el7.centos.x86_64
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
ovirt-release41-pre-4.1.0-0.0.beta.20161201085255.git731841c.el7.centos.noarch
ovirt-hosted-engine-ha-2.1.0-0.0.master.20161130135331.20161130135328.git3541725.el7.centos.noarch
libvirt-client-2.0.0-10.el7_3.2.x86_64
ovirt-vmconsole-1.0.4-1.el7ev.noarch
Linux version 3.10.0-514.2.2.el7.x86_64 (mockbuild@x86-019.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Nov 16 13:15:13 EST 2016
Linux 3.10.0-514.2.2.el7.x86_64 #1 SMP Wed Nov 16 13:15:13 EST 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)

Moving this bug to verified as it works as designed.

Note You need to log in before you can comment on or make changes to this bug.